Package org.iirds.rdf.facade

# Class Factory

java.lang.Object
org.iirds.rdf.facade.Factory

public class Factory extends Object
Factory for iiRDS RDF model objects

Author:
  Martin Kreutzer, Empolis Information Management GmbH

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `addParty(org.apache.jena.rdf.model.Resource owner, org.apache.jena.rdf.model.Resource party)`
  `static org.apache.jena.rdf.model.Resource`
  `createComponent(org.apache.jena.rdf.model.Model model, String uri)`
  `static org.apache.jena.rdf.model.Resource`
  `createContentLifecycleStatus(org.apache.jena.rdf.model.Model model)`
  `static org.apache.jena.rdf.model.Resource`
  `createContentLifecycleStatusValue(org.apache.jena.rdf.model.Model model, String uri)`
  `static org.apache.jena.rdf.model.Resource`
  `createDirectoryNode(org.apache.jena.rdf.model.Model model)`
  `static org.apache.jena.rdf.model.Resource`
  `createDocument(org.apache.jena.rdf.model.Model model, String uri)`
  `static org.apache.jena.rdf.model.Resource`
  `createDownTime(org.apache.jena.rdf.model.Model model, String uri)`
  `static org.apache.jena.rdf.model.Resource`
  `createEvent(org.apache.jena.rdf.model.Model model, String uri)`
  `static org.apache.jena.rdf.model.Resource`
  `createEventCode(org.apache.jena.rdf.model.Model model, String uri, String value)`
  `static org.apache.jena.rdf.model.Resource`
  `createEventType(org.apache.jena.rdf.model.Model model, String uri, String value)`
  `static org.apache.jena.rdf.model.Resource`
  `createIdentity(org.apache.jena.rdf.model.Model model, String domain, org.apache.jena.rdf.model.Resource party, String identifier)`
  `static org.apache.jena.rdf.model.Resource`
  `createIndividual(org.apache.jena.rdf.model.Model model, String uri, String name)`
  Creates a vcard:Individual resource
  `static org.apache.jena.rdf.model.Resource`
  `createInfoObject(org.apache.jena.rdf.model.Model model, String uri)`
  `static org.apache.jena.rdf.model.Resource`
  `createInformationSubject(org.apache.jena.rdf.model.Model model, String uri)`
  `static org.apache.jena.rdf.model.Resource`
  `createMaintenanceInterval(org.apache.jena.rdf.model.Model model, String uri)`
  `static org.apache.jena.rdf.model.Resource`
  `createNil(org.apache.jena.rdf.model.Model model)`
  `static org.apache.jena.rdf.model.Resource`
  `createOrganization(org.apache.jena.rdf.model.Model model, String uri, String name)`
  Creates a vcard:Organization resource
  `static org.apache.jena.rdf.model.Resource`
  `createPackage(org.apache.jena.rdf.model.Model model, String uri)`
  `static org.apache.jena.rdf.model.Resource`
  `createParty(org.apache.jena.rdf.model.Model model, String uri)`
  `static org.apache.jena.rdf.model.Resource`
  `createProductLifecyclePhase(org.apache.jena.rdf.model.Model model, String uri)`
  `static org.apache.jena.rdf.model.Resource`
  `createProductVariant(org.apache.jena.rdf.model.Model model, String uri)`
  `static org.apache.jena.rdf.model.Resource`
  `createRendition(org.apache.jena.rdf.model.Model model)`
  `static org.apache.jena.rdf.model.Resource`
  `createRole(org.apache.jena.rdf.model.Model model, String uri)`
  `static org.apache.jena.rdf.model.Resource`
  `createSetupTime(org.apache.jena.rdf.model.Model model, String uri)`
  `static org.apache.jena.rdf.model.Resource`
  `createSkillLevel(org.apache.jena.rdf.model.Model model, String uri)`
  `static org.apache.jena.rdf.model.Resource`
  `createTopic(org.apache.jena.rdf.model.Model model, String uri)`
  `static org.apache.jena.rdf.model.Resource`
  `createTopicType(org.apache.jena.rdf.model.Model model, String topicType)`
  `static org.apache.jena.rdf.model.Resource`
  `createWorkingTime(org.apache.jena.rdf.model.Model model, String uri)`
  `static String`
  `getLabel(org.apache.jena.rdf.model.Resource r, String lang)`
  `static List<org.apache.jena.rdf.model.RDFNode>`
  `getPropertyObjects(org.apache.jena.rdf.model.Model model, String subjectURI, String propertyURI)`
  `static List<org.apache.jena.rdf.model.RDFNode>`
  `getPropertyObjects(org.apache.jena.rdf.model.Resource subject, String propertyURI)`
  `static List<org.apache.jena.rdf.model.Resource>`
  `getResourcesOfType(org.apache.jena.rdf.model.Model model, String typeURI)`
  `static void`
  `setEventCode(org.apache.jena.rdf.model.Resource event, String eventcode)`
  `static void`
  `setEventCode(org.apache.jena.rdf.model.Resource event, org.apache.jena.rdf.model.Resource eventcode)`
  `static void`
  `setEventType(org.apache.jena.rdf.model.Resource event, String eventtype)`
  `static void`
  `setEventType(org.apache.jena.rdf.model.Resource event, org.apache.jena.rdf.model.Resource eventtype)`
  `static void`
  `setLabel(org.apache.jena.rdf.model.Resource resource, String label, String language)`
  `static void`
  `setSuperType(org.apache.jena.rdf.model.Resource resource, String classURI)`
  `static void`
  `setType(org.apache.jena.rdf.model.Resource resource, String classURI)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setType

    public static void setType(org.apache.jena.rdf.model.Resource resource, String classURI)

  - ### setSuperType

    public static void setSuperType(org.apache.jena.rdf.model.Resource resource, String classURI)

  - ### createTopic

    public static org.apache.jena.rdf.model.Resource createTopic(org.apache.jena.rdf.model.Model model, String uri)

  - ### createInfoObject

    public static org.apache.jena.rdf.model.Resource createInfoObject(org.apache.jena.rdf.model.Model model, String uri)

  - ### createDocument

    public static org.apache.jena.rdf.model.Resource createDocument(org.apache.jena.rdf.model.Model model, String uri)

  - ### createPackage

    public static org.apache.jena.rdf.model.Resource createPackage(org.apache.jena.rdf.model.Model model, String uri)

  - ### createComponent

    public static org.apache.jena.rdf.model.Resource createComponent(org.apache.jena.rdf.model.Model model, String uri)

  - ### createProductVariant

    public static org.apache.jena.rdf.model.Resource createProductVariant(org.apache.jena.rdf.model.Model model, String uri)

  - ### createRendition

    public static org.apache.jena.rdf.model.Resource createRendition(org.apache.jena.rdf.model.Model model)

  - ### createRole

    public static org.apache.jena.rdf.model.Resource createRole(org.apache.jena.rdf.model.Model model, String uri)

  - ### createInformationSubject

    public static org.apache.jena.rdf.model.Resource createInformationSubject(org.apache.jena.rdf.model.Model model, String uri)

  - ### createSkillLevel

    public static org.apache.jena.rdf.model.Resource createSkillLevel(org.apache.jena.rdf.model.Model model, String uri)

  - ### createEvent

    public static org.apache.jena.rdf.model.Resource createEvent(org.apache.jena.rdf.model.Model model, String uri)

  - ### createEventType

    public static org.apache.jena.rdf.model.Resource createEventType(org.apache.jena.rdf.model.Model model, String uri, String value)

  - ### createEventCode

    public static org.apache.jena.rdf.model.Resource createEventCode(org.apache.jena.rdf.model.Model model, String uri, String value)

  - ### createTopicType

    public static org.apache.jena.rdf.model.Resource createTopicType(org.apache.jena.rdf.model.Model model, String topicType)

  - ### createDirectoryNode

    public static org.apache.jena.rdf.model.Resource createDirectoryNode(org.apache.jena.rdf.model.Model model)

  - ### createParty

    public static org.apache.jena.rdf.model.Resource createParty(org.apache.jena.rdf.model.Model model, String uri)

  - ### createIdentity

    public static org.apache.jena.rdf.model.Resource createIdentity(org.apache.jena.rdf.model.Model model, String domain, org.apache.jena.rdf.model.Resource party, String identifier)

  - ### createOrganization

    public static org.apache.jena.rdf.model.Resource createOrganization(org.apache.jena.rdf.model.Model model, String uri, String name)
    Creates a vcard:Organization resource
    Parameters:
      `model` - the owning model
      `uri` - the IRI (optional)
      `name` - the name (optional)
    Returns:
      the resource

  - ### createIndividual

    public static org.apache.jena.rdf.model.Resource createIndividual(org.apache.jena.rdf.model.Model model, String uri, String name)
    Creates a vcard:Individual resource
    Parameters:
      `model` - the owning model
      `uri` - the IRI (optional)
      `name` - the name (optional)
    Returns:
      the resource

  - ### createProductLifecyclePhase

    public static org.apache.jena.rdf.model.Resource createProductLifecyclePhase(org.apache.jena.rdf.model.Model model, String uri)

  - ### createContentLifecycleStatus

    public static org.apache.jena.rdf.model.Resource createContentLifecycleStatus(org.apache.jena.rdf.model.Model model)

  - ### createContentLifecycleStatusValue

    public static org.apache.jena.rdf.model.Resource createContentLifecycleStatusValue(org.apache.jena.rdf.model.Model model, String uri)

  - ### setEventType

    public static void setEventType(org.apache.jena.rdf.model.Resource event, String eventtype)

  - ### setEventType

    public static void setEventType(org.apache.jena.rdf.model.Resource event, org.apache.jena.rdf.model.Resource eventtype)

  - ### setEventCode

    public static void setEventCode(org.apache.jena.rdf.model.Resource event, String eventcode)

  - ### addParty

    public static void addParty(org.apache.jena.rdf.model.Resource owner, org.apache.jena.rdf.model.Resource party)

  - ### setEventCode

    public static void setEventCode(org.apache.jena.rdf.model.Resource event, org.apache.jena.rdf.model.Resource eventcode)

  - ### setLabel

    public static void setLabel(org.apache.jena.rdf.model.Resource resource, String label, String language)

  - ### getPropertyObjects

    public static List<org.apache.jena.rdf.model.RDFNode> getPropertyObjects(org.apache.jena.rdf.model.Model model, String subjectURI, String propertyURI)

  - ### getPropertyObjects

    public static List<org.apache.jena.rdf.model.RDFNode> getPropertyObjects(org.apache.jena.rdf.model.Resource subject, String propertyURI)

  - ### getLabel

    public static String getLabel(org.apache.jena.rdf.model.Resource r, String lang)

  - ### createNil

    public static org.apache.jena.rdf.model.Resource createNil(org.apache.jena.rdf.model.Model model)

  - ### createMaintenanceInterval

    public static org.apache.jena.rdf.model.Resource createMaintenanceInterval(org.apache.jena.rdf.model.Model model, String uri)

  - ### createWorkingTime

    public static org.apache.jena.rdf.model.Resource createWorkingTime(org.apache.jena.rdf.model.Model model, String uri)

  - ### createSetupTime

    public static org.apache.jena.rdf.model.Resource createSetupTime(org.apache.jena.rdf.model.Model model, String uri)

  - ### createDownTime

    public static org.apache.jena.rdf.model.Resource createDownTime(org.apache.jena.rdf.model.Model model, String uri)

  - ### getResourcesOfType

    public static List<org.apache.jena.rdf.model.Resource> getResourcesOfType(org.apache.jena.rdf.model.Model model, String typeURI)